//
//  TRMovieListingController.h
//  Tryst
//
//  Created by Francisco Tolmasky on Sun Feb 01 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@class TRMovieInspector;

@interface TRMovieListingController : NSArrayController
{
    BOOL                isRearranging;
    
    NSString            *searchKey;
    NSString            *searchValue;
    
    NSSearchField       *searchField;
    TRMovieInspector    *movieInspector;
}

- (void)setSearchKey:(NSString *)aSearchKey;
- (void)setPrimarySortKey:(NSString *)aKey;

- (void)setSearchField:(NSSearchField *)aSearchField;
- (NSSearchField *)searchField;

- (void)setMovieInspector:(TRMovieInspector *)aMovieInspector;
- (TRMovieInspector *)movieInspector;

- (IBAction)changeSearchKey:(id)sender;
- (IBAction)search:(id)sender;

@end
